
//-------------------------------
// the "x" code was scarfed from the "X" library; see cross-browser.com
//-------------
function xDef() {
  for(var i=0; i<arguments.length; ++i){if(typeof(arguments[i])=="" || typeof(arguments[i])=="undefined") return false;}
  return true;
}
function xLayer(id,root) { // only for nn4
  var i,layer,found=null;
  if (!root) root=window;
  for(i=0; i<root.document.layers.length; i++) {
    layer=root.document.layers[i];
    if(layer.id==id) return layer;
    if(layer.document.layers.length) found=xLayer(id,layer);
    if(found) return found;
  }
  return null;
}
function xGetElementById(e) {
  if(typeof(e)!="string") return e;
  if(document.getElementById) e=document.getElementById(e);
  else if(document.all) e=document.all[e];
  else if(document.layers) e=xLayer(e);
  else e=null;
  return e;
}
//-------------
	// jeffrey added:
	function xCollapse(e)
	{
		if(!(e=xGetElementById(e))) return;
		e.style.display = "none";
	}
	function xExpand(e)
	{
		if(!(e=xGetElementById(e))) return;
		e.style.display = "block";
	}

// get or set the vertical location (the 2nd param is optional, for setting)
function xTop(e,iY) {
  if(!(e=xGetElementById(e))) return 0;
  var css=xDef(e.style);
  if(css && xDef(e.style.top) && typeof(e.style.top)=="string") {
    if(arguments.length>1) e.style.top=iY+"px";
    else {
      iY=parseInt(e.style.top);
      if(isNaN(iY)) iY=0;
    }
  }
  else if(css && xDef(e.style.pixelTop)) {
    if(arguments.length>1) e.style.pixelTop=iY;
    else iY=e.style.pixelTop;
  }
  else if(xDef(e.top)) {
    if(arguments.length>1) e.top=iY;
    else iY=e.top;
  }
  return iY;
}
function xLeft(e,iX) {
  if(!(e=xGetElementById(e))) return 0;
  var css=xDef(e.style);
  if (css && xDef(e.style.left) && typeof(e.style.left)=="string") {
    if(arguments.length>1) e.style.left=iX+"px";
    else {
      iX=parseInt(e.style.left);
      if(isNaN(iX)) iX=0;
    }
  }
  else if(css && xDef(e.style.pixelLeft)) {
    if(arguments.length>1) e.style.pixelLeft=iX;
    else iX=e.style.pixelLeft;
  }
  else if(xDef(e.left)) {
    if(arguments.length>1) e.left=iX;
    else iX=e.left;
  }
  return iX;
}
function xWidth(e,uW) {
  if(!(e=xGetElementById(e)) || (uW && uW<0)) return 0;
  uW=Math.round(uW);
  var css=xDef(e.style);
  if(css && xDef(e.style.width,e.offsetWidth) && typeof(e.style.width)=="string") {
    if(arguments.length>1) xSetCW(e, uW);
    uW=e.offsetWidth;
  }
  else if(css && xDef(e.style.pixelWidth)) {
    if(arguments.length>1) e.style.pixelWidth=uW;
    uW=e.style.pixelWidth;
  }
  else if(xDef(e.clip) && xDef(e.clip.right)) {
    if(arguments.length>1) e.clip.right=uW;
    uW=e.clip.right;
  }
  return uW;
}
function xHeight(e,uH) {
  if(!(e=xGetElementById(e)) || (uH && uH<0)) return 0;
  uH=Math.round(uH);
  var css=xDef(e.style);
  if(css && xDef(e.style.height,e.offsetHeight) && typeof(e.style.height)=="string") {
    if(arguments.length>1) xSetCH(e, uH);
    uH=e.offsetHeight;
  }
  else if(css && xDef(e.style.pixelHeight)) {
    if(arguments.length>1) e.style.pixelHeight=uH;
    uH=e.style.pixelHeight;
  }
  else if(xDef(e.clip) && xDef(e.clip.bottom)) {
    if(arguments.length>1) e.clip.bottom=uH;
    uH=e.clip.bottom;
  }
  return uH;
}
		function xGetCS(ele,sP){return parseInt(document.defaultView.getComputedStyle(ele,"").getPropertyValue(sP));}
		function xSetCW(ele,uW){
		  if(uW<0) return;
		  var pl=0,pr=0,bl=0,br=0;
		  if(xDef(document.defaultView) && xDef(document.defaultView.getComputedStyle)){
		    pl=xGetCS(ele,"padding-left");
		    pr=xGetCS(ele,"padding-right");
		    bl=xGetCS(ele,"border-left-width");
		    br=xGetCS(ele,"border-right-width");
		  }
		  else if(xDef(ele.currentStyle,document.compatMode)){
		    if(document.compatMode=="CSS1Compat"){
		      pl=parseInt(ele.currentStyle.paddingLeft);
		      pr=parseInt(ele.currentStyle.paddingRight);
		      bl=parseInt(ele.currentStyle.borderLeftWidth);
		      br=parseInt(ele.currentStyle.borderRightWidth);
		    }
		  }
		  else if(xDef(ele.offsetWidth,ele.style.width)){
		    ele.style.width=uW+"px";
		    pl=ele.offsetWidth-uW;
		  }
		  if(isNaN(pl)) pl=0; if(isNaN(pr)) pr=0; if(isNaN(bl)) bl=0; if(isNaN(br)) br=0;
		  var cssW=uW-(pl+pr+bl+br);
		  if(isNaN(cssW)||cssW<0) return;
		  else ele.style.width=cssW+"px";
		}
		function xSetCH(ele,uH){
		  if(uH<0) return;
		  var pt=0,pb=0,bt=0,bb=0;
		  if(xDef(document.defaultView) && xDef(document.defaultView.getComputedStyle)){
		    pt=xGetCS(ele,"padding-top");
		    pb=xGetCS(ele,"padding-bottom");
		    bt=xGetCS(ele,"border-top-width");
		    bb=xGetCS(ele,"border-bottom-width");
		  }
		  else if(xDef(ele.currentStyle,document.compatMode)){
		    if(document.compatMode=="CSS1Compat"){
		      pt=parseInt(ele.currentStyle.paddingTop);
		      pb=parseInt(ele.currentStyle.paddingBottom);
		      bt=parseInt(ele.currentStyle.borderTopWidth);
		      bb=parseInt(ele.currentStyle.borderBottomWidth);
		    }
		  }
		  else if(xDef(ele.offsetHeight,ele.style.height)){
		    ele.style.height=uH+"px";
		    pt=ele.offsetHeight-uH;
		  }
		  if(isNaN(pt)) pt=0; if(isNaN(pb)) pb=0; if(isNaN(bt)) bt=0; if(isNaN(bb)) bb=0;
		  var cssH=uH-(pt+pb+bt+bb);
		  if(isNaN(cssH)||cssH<0) return;
		  else ele.style.height=cssH+"px";
		}
//-------
function xShow(e) {
  if(!(e=xGetElementById(e))) return;
  if(e.style && xDef(e.style.visibility)) e.style.visibility='visible'; // v3.12, e.style.visibility='inherit';
  else if(xDef(e.visibility)) e.visibility='show';
}
function xHide(e) {
  if(!(e=xGetElementById(e))) return;
  if(e.style && xDef(e.style.visibility)) e.style.visibility='hidden';
  else if(xDef(e.visibility)) e.visibility='hide';
}
